<Activity mc:Ignorable="sap sap2010" x:Class="Salesforce___Download_report_as_XLSX" this:Salesforce___Download_report_as_XLSX.in_CrossBorderEngagement="None" this:Salesforce___Download_report_as_XLSX.in_DestinationOfServices="Not Applicable" xmlns="http://schemas.microsoft.com/netfx/2009/xaml/activities" xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" xmlns:mva="clr-namespace:Microsoft.VisualBasic.Activities;assembly=System.Activities" xmlns:sap="http://schemas.microsoft.com/netfx/2009/xaml/activities/presentation" xmlns:sap2010="http://schemas.microsoft.com/netfx/2010/xaml/activities/presentation" xmlns:scg="clr-namespace:System.Collections.Generic;assembly=mscorlib" xmlns:sco="clr-namespace:System.Collections.ObjectModel;assembly=mscorlib" xmlns:this="clr-namespace:" xmlns:ui="http://schemas.uipath.com/workflow/activities" xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml">
  <x:Members>
    <x:Property Name="in_CrossBorderEngagement" Type="InArgument(x:String)" />
    <x:Property Name="in_DestinationOfServices" Type="InArgument(x:String)" />
  </x:Members>
  <mva:VisualBasic.Settings>
    <x:Null />
  </mva:VisualBasic.Settings>
  <sap:VirtualizedContainerService.HintSize>1255,3913</sap:VirtualizedContainerService.HintSize>
  <sap2010:WorkflowViewState.IdRef>Salesforce - Download report as XLSX_1</sap2010:WorkflowViewState.IdRef>
  <TextExpression.NamespacesForImplementation>
    <scg:List x:TypeArguments="x:String" Capacity="27">
      <x:String>System.Activities</x:String>
      <x:String>System.Activities.Statements</x:String>
      <x:String>System.Activities.Expressions</x:String>
      <x:String>System.Activities.Validation</x:String>
      <x:String>System.Activities.XamlIntegration</x:String>
      <x:String>Microsoft.VisualBasic</x:String>
      <x:String>Microsoft.VisualBasic.Activities</x:String>
      <x:String>System</x:String>
      <x:String>System.Collections</x:String>
      <x:String>System.Collections.Generic</x:String>
      <x:String>System.Data</x:String>
      <x:String>System.Diagnostics</x:String>
      <x:String>System.Drawing</x:String>
      <x:String>System.IO</x:String>
      <x:String>System.Linq</x:String>
      <x:String>System.Net.Mail</x:String>
      <x:String>System.Xml</x:String>
      <x:String>System.Xml.Linq</x:String>
      <x:String>UiPath.Core</x:String>
      <x:String>UiPath.Core.Activities</x:String>
      <x:String>System.Windows.Markup</x:String>
      <x:String>Microsoft.VisualBasic.CompilerServices</x:String>
      <x:String>System.Activities.DynamicUpdate</x:String>
      <x:String>System.Reflection</x:String>
      <x:String>System.Runtime.InteropServices</x:String>
      <x:String>System.Collections.ObjectModel</x:String>
      <x:String>System.Runtime.Serialization</x:String>
    </scg:List>
  </TextExpression.NamespacesForImplementation>
  <TextExpression.ReferencesForImplementation>
    <scg:List x:TypeArguments="AssemblyReference" Capacity="56">
      <AssemblyReference>System.Activities</AssemblyReference>
      <AssemblyReference>Microsoft.VisualBasic</AssemblyReference>
      <AssemblyReference>mscorlib</AssemblyReference>
      <AssemblyReference>System.Data</AssemblyReference>
      <AssemblyReference>System.Data.DataSetExtensions</AssemblyReference>
      <AssemblyReference>System</AssemblyReference>
      <AssemblyReference>System.Drawing</AssemblyReference>
      <AssemblyReference>System.Core</AssemblyReference>
      <AssemblyReference>System.Xml</AssemblyReference>
      <AssemblyReference>System.Xml.Linq</AssemblyReference>
      <AssemblyReference>PresentationFramework</AssemblyReference>
      <AssemblyReference>WindowsBase</AssemblyReference>
      <AssemblyReference>PresentationCore</AssemblyReference>
      <AssemblyReference>System.Xaml</AssemblyReference>
      <AssemblyReference>UiPath.System.Activities</AssemblyReference>
      <AssemblyReference>UiPath.UiAutomation.Activities</AssemblyReference>
      <AssemblyReference>System.ValueTuple</AssemblyReference>
      <AssemblyReference>System.ServiceModel</AssemblyReference>
      <AssemblyReference>UiPath.Excel</AssemblyReference>
      <AssemblyReference>UiPath.Mail</AssemblyReference>
      <AssemblyReference>UiPath.Studio.Plugin.Workflow</AssemblyReference>
      <AssemblyReference>UiPath.Cryptography</AssemblyReference>
      <AssemblyReference>System.ComponentModel.Composition</AssemblyReference>
      <AssemblyReference>UiPath.System.Activities.Design</AssemblyReference>
      <AssemblyReference>System.Memory</AssemblyReference>
      <AssemblyReference>Microsoft.Bcl.AsyncInterfaces</AssemblyReference>
      <AssemblyReference>UiPath.OCR.Activities.Design</AssemblyReference>
      <AssemblyReference>UiPath.UIAutomationCore</AssemblyReference>
    </scg:List>
  </TextExpression.ReferencesForImplementation>
  <Sequence DisplayName="Global" sap:VirtualizedContainerService.HintSize="563,3808" sap2010:WorkflowViewState.IdRef="Sequence_1">
    <Sequence.Variables>
      <Variable x:TypeArguments="x:String" Default="Salesforce_Opportunity_Fill_In_Additional_Information" Name="componentName" />
      <Variable x:TypeArguments="x:Boolean" Name="crossBorderTagExists" />
      <Variable x:TypeArguments="x:Boolean" Name="crossBorderDropdownExists" />
      <Variable x:TypeArguments="x:Boolean" Name="dropdownItemExists" />
      <Variable x:TypeArguments="x:Boolean" Name="crossBorderValueSetSuccessfully" />
    </Sequence.Variables>
    <sap:WorkflowViewStateService.ViewState>
      <scg:Dictionary x:TypeArguments="x:String, x:Object">
        <x:Boolean x:Key="IsExpanded">True</x:Boolean>
      </scg:Dictionary>
    </sap:WorkflowViewStateService.ViewState>
    <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="521,91" sap2010:WorkflowViewState.IdRef="LogMessage_1" Level="Info" Message="[&quot;Start: &quot;+componentName]" />
    <ui:UiElementExists DisplayName="Element Exists - cross border" Exists="[crossBorderTagExists]" sap:VirtualizedContainerService.HintSize="521,106" sap2010:WorkflowViewState.IdRef="UiElementExists_38">
      <ui:UiElementExists.Target>
        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="505c514f-e40e-481d-80f9-6c49e2b2ebcb" InformativeScreenshot="beaf19d852b2171d2a08480e5c9e785d" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl aaname='Cross Border Engagement' tag='SPAN' /&gt;" TimeoutMS="30000" WaitForReady="COMPLETE" />
      </ui:UiElementExists.Target>
    </ui:UiElementExists>
    <If Condition="[crossBorderTagExists]" DisplayName="If crossBorderExists" sap:VirtualizedContainerService.HintSize="521,393" sap2010:WorkflowViewState.IdRef="If_40">
      <sap:WorkflowViewStateService.ViewState>
        <scg:Dictionary x:TypeArguments="x:String, x:Object">
          <x:Boolean x:Key="IsExpanded">True</x:Boolean>
          <x:Boolean x:Key="IsPinned">False</x:Boolean>
        </scg:Dictionary>
      </sap:WorkflowViewStateService.ViewState>
      <If.Else>
        <Sequence DisplayName="AE - Additional Information section does not exist" sap:VirtualizedContainerService.HintSize="376,245" sap2010:WorkflowViewState.IdRef="Sequence_61">
          <sap:WorkflowViewStateService.ViewState>
            <scg:Dictionary x:TypeArguments="x:String, x:Object">
              <x:Boolean x:Key="IsExpanded">True</x:Boolean>
            </scg:Dictionary>
          </sap:WorkflowViewStateService.ViewState>
          <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_40" Level="Error" Message="[componentName+&quot;: Additional Information section does not exist&quot;]" />
          <Throw DisplayName="Throw AE" Exception="[New ApplicationException(componentName+&quot;: Additional Information section does not exist&quot;)]" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Throw_36" />
        </Sequence>
      </If.Else>
    </If>
    <ui:Click AlterIfDisabled="{x:Null}" DelayBefore="{x:Null}" DelayMS="{x:Null}" SendWindowMessages="{x:Null}" ClickType="CLICK_DOUBLE" DisplayName="Click cross border tag twice to edit " sap:VirtualizedContainerService.HintSize="521,106" sap2010:WorkflowViewState.IdRef="Click_44" KeyModifiers="None" MouseButton="BTN_LEFT" SimulateClick="True">
      <ui:Click.CursorPosition>
        <ui:CursorPosition Position="Center">
          <ui:CursorPosition.OffsetX>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:CursorPosition.OffsetX>
          <ui:CursorPosition.OffsetY>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:CursorPosition.OffsetY>
        </ui:CursorPosition>
      </ui:Click.CursorPosition>
      <ui:Click.Target>
        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="af388f21-58fe-4312-addd-c8b237a7543e" InformativeScreenshot="beaf19d852b2171d2a08480e5c9e785d" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl aaname='Cross Border Engagement' tag='SPAN' /&gt;" WaitForReady="COMPLETE">
          <ui:Target.TimeoutMS>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:Target.TimeoutMS>
        </ui:Target>
      </ui:Click.Target>
    </ui:Click>
    <ui:UiElementExists DisplayName="Element Exists - cross border dropdown" Exists="[crossBorderDropdownExists]" sap:VirtualizedContainerService.HintSize="521,106" sap2010:WorkflowViewState.IdRef="UiElementExists_36">
      <ui:UiElementExists.Target>
        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="505c514f-e40e-481d-80f9-6c49e2b2ebcb" InformativeScreenshot="c5d88c6ac1b7ac49fed8cd48dcaf8435" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl aria-role='combobox' tag='INPUT' type='text' aaname='Cross Border Engagement' /&gt;" TimeoutMS="15000" WaitForReady="COMPLETE" />
      </ui:UiElementExists.Target>
    </ui:UiElementExists>
    <If Condition="[crossBorderDropdownExists]" DisplayName="If crossBorderDropdownExists" sap:VirtualizedContainerService.HintSize="521,393" sap2010:WorkflowViewState.IdRef="If_46">
      <sap:WorkflowViewStateService.ViewState>
        <scg:Dictionary x:TypeArguments="x:String, x:Object">
          <x:Boolean x:Key="IsExpanded">True</x:Boolean>
          <x:Boolean x:Key="IsPinned">False</x:Boolean>
        </scg:Dictionary>
      </sap:WorkflowViewStateService.ViewState>
      <If.Else>
        <Sequence DisplayName="AE - Unable to open Additional Details section" sap:VirtualizedContainerService.HintSize="376,245" sap2010:WorkflowViewState.IdRef="Sequence_57">
          <sap:WorkflowViewStateService.ViewState>
            <scg:Dictionary x:TypeArguments="x:String, x:Object">
              <x:Boolean x:Key="IsExpanded">True</x:Boolean>
            </scg:Dictionary>
          </sap:WorkflowViewStateService.ViewState>
          <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_39" Level="Error" Message="[componentName+&quot;: Unable to open Additional Details section&quot;]" />
          <Throw DisplayName="Throw AE" Exception="[New ApplicationException(componentName+&quot;: Unable to open Additional Details section&quot;)]" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Throw_35" />
        </Sequence>
      </If.Else>
    </If>
    <ui:Click AlterIfDisabled="{x:Null}" DelayBefore="{x:Null}" DelayMS="{x:Null}" SendWindowMessages="{x:Null}" ClickType="CLICK_SINGLE" DisplayName="Click cross border dropdown to activate" sap:VirtualizedContainerService.HintSize="521,106" sap2010:WorkflowViewState.IdRef="Click_45" KeyModifiers="None" MouseButton="BTN_LEFT" SimulateClick="False">
      <ui:Click.CursorPosition>
        <ui:CursorPosition Position="Center">
          <ui:CursorPosition.OffsetX>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:CursorPosition.OffsetX>
          <ui:CursorPosition.OffsetY>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:CursorPosition.OffsetY>
        </ui:CursorPosition>
      </ui:Click.CursorPosition>
      <ui:Click.Target>
        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="af388f21-58fe-4312-addd-c8b237a7543e" InformativeScreenshot="2c2b8530d00d334f6716a69dc0b9b4f3" Selector="&lt;html app='chrome.exe' title='*Salesforce*' /&gt;&lt;webctrl tag='LABEL' innertext='Cross Border Engagement' /&gt;&lt;nav up='1' /&gt;&lt;webctrl aria-role='combobox' tag='INPUT' type='text' class='slds-input slds-combobox__input' /&gt;" WaitForReady="COMPLETE">
          <ui:Target.TimeoutMS>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:Target.TimeoutMS>
        </ui:Target>
      </ui:Click.Target>
    </ui:Click>
    <ui:UiElementExists DisplayName="Element Exists - dropdown item" Exists="[dropdownItemExists]" sap:VirtualizedContainerService.HintSize="521,106" sap2010:WorkflowViewState.IdRef="UiElementExists_40">
      <ui:UiElementExists.Target>
        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="505c514f-e40e-481d-80f9-6c49e2b2ebcb" InformativeScreenshot="984e1da583cc537b1e14fe193182eb07" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl aaname='{{in_CrossBorderEngagement}}' tag='SPAN' /&gt;" TimeoutMS="30000" WaitForReady="COMPLETE" />
      </ui:UiElementExists.Target>
    </ui:UiElementExists>
    <If Condition="[dropdownItemExists]" DisplayName="If dropdownItemExists" sap:VirtualizedContainerService.HintSize="521,393" sap2010:WorkflowViewState.IdRef="If_48">
      <sap:WorkflowViewStateService.ViewState>
        <scg:Dictionary x:TypeArguments="x:String, x:Object">
          <x:Boolean x:Key="IsExpanded">True</x:Boolean>
          <x:Boolean x:Key="IsPinned">False</x:Boolean>
        </scg:Dictionary>
      </sap:WorkflowViewStateService.ViewState>
      <If.Else>
        <Sequence DisplayName="AE - Crossborder list item does not exist" sap:VirtualizedContainerService.HintSize="376,245" sap2010:WorkflowViewState.IdRef="Sequence_62">
          <sap:WorkflowViewStateService.ViewState>
            <scg:Dictionary x:TypeArguments="x:String, x:Object">
              <x:Boolean x:Key="IsExpanded">True</x:Boolean>
            </scg:Dictionary>
          </sap:WorkflowViewStateService.ViewState>
          <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_41" Level="Error" Message="[componentName+&quot;: Crossborder Engagement list item does not exist: &quot;+in_CrossBorderEngagement]" />
          <Throw DisplayName="Throw AE" Exception="[New ApplicationException(componentName+&quot;: Crossborder Engagement list item does not exist: &quot;+in_CrossBorderEngagement)]" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Throw_37" />
        </Sequence>
      </If.Else>
    </If>
    <ui:Click AlterIfDisabled="{x:Null}" DelayBefore="{x:Null}" DelayMS="{x:Null}" SendWindowMessages="{x:Null}" ClickType="CLICK_SINGLE" DisplayName="Click cross border dropdown list item" sap:VirtualizedContainerService.HintSize="521,106" sap2010:WorkflowViewState.IdRef="Click_46" KeyModifiers="None" MouseButton="BTN_LEFT" SimulateClick="False">
      <ui:Click.CursorPosition>
        <ui:CursorPosition Position="Center">
          <ui:CursorPosition.OffsetX>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:CursorPosition.OffsetX>
          <ui:CursorPosition.OffsetY>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:CursorPosition.OffsetY>
        </ui:CursorPosition>
      </ui:Click.CursorPosition>
      <ui:Click.Target>
        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="af388f21-58fe-4312-addd-c8b237a7543e" InformativeScreenshot="cb4c04c1fe5f51c9094481409db5da98" Selector="&lt;html app='chrome.exe' title='*Salesforce*' /&gt;&lt;webctrl tag='LIGHTNING-BASE-COMBOBOX-ITEM' innertext='{{in_CrossBorderEngagement}}' /&gt;" WaitForReady="COMPLETE">
          <ui:Target.TimeoutMS>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:Target.TimeoutMS>
        </ui:Target>
      </ui:Click.Target>
    </ui:Click>
    <If Condition="[in_DestinationOfServices.toupper&lt;&gt;&quot;NOT APPLICABLE&quot; and in_DestinationOfServices.toupper&lt;&gt;&quot;&quot;]" DisplayName="If destination exists" sap:VirtualizedContainerService.HintSize="521,554" sap2010:WorkflowViewState.IdRef="If_49">
      <If.Then>
        <Sequence sap:VirtualizedContainerService.HintSize="376,406" sap2010:WorkflowViewState.IdRef="Sequence_63">
          <sap:WorkflowViewStateService.ViewState>
            <scg:Dictionary x:TypeArguments="x:String, x:Object">
              <x:Boolean x:Key="IsExpanded">True</x:Boolean>
            </scg:Dictionary>
          </sap:WorkflowViewStateService.ViewState>
          <ui:Click AlterIfDisabled="{x:Null}" DelayBefore="{x:Null}" DelayMS="{x:Null}" SendWindowMessages="{x:Null}" ClickType="CLICK_SINGLE" DisplayName="Click Destination country" sap:VirtualizedContainerService.HintSize="334,106" sap2010:WorkflowViewState.IdRef="Click_47" KeyModifiers="None" MouseButton="BTN_LEFT" SimulateClick="False">
            <ui:Click.CursorPosition>
              <ui:CursorPosition Position="Center">
                <ui:CursorPosition.OffsetX>
                  <InArgument x:TypeArguments="x:Int32" />
                </ui:CursorPosition.OffsetX>
                <ui:CursorPosition.OffsetY>
                  <InArgument x:TypeArguments="x:Int32" />
                </ui:CursorPosition.OffsetY>
              </ui:CursorPosition>
            </ui:Click.CursorPosition>
            <ui:Click.Target>
              <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="af388f21-58fe-4312-addd-c8b237a7543e" InformativeScreenshot="cbbf03f7bb36392ee6bf69d322e3aa34" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl aaname='{{in_DestinationOfServices}}' tag='SPAN' /&gt;" WaitForReady="COMPLETE">
                <ui:Target.TimeoutMS>
                  <InArgument x:TypeArguments="x:Int32" />
                </ui:Target.TimeoutMS>
              </ui:Target>
            </ui:Click.Target>
          </ui:Click>
          <ui:Click AlterIfDisabled="{x:Null}" DelayBefore="{x:Null}" DelayMS="{x:Null}" SendWindowMessages="{x:Null}" ClickType="CLICK_SINGLE" DisplayName="Click Destination country" sap:VirtualizedContainerService.HintSize="334,106" sap2010:WorkflowViewState.IdRef="Click_49" KeyModifiers="None" MouseButton="BTN_LEFT" SimulateClick="False">
            <ui:Click.CursorPosition>
              <ui:CursorPosition Position="Center">
                <ui:CursorPosition.OffsetX>
                  <InArgument x:TypeArguments="x:Int32" />
                </ui:CursorPosition.OffsetX>
                <ui:CursorPosition.OffsetY>
                  <InArgument x:TypeArguments="x:Int32" />
                </ui:CursorPosition.OffsetY>
              </ui:CursorPosition>
            </ui:Click.CursorPosition>
            <ui:Click.Target>
              <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="af388f21-58fe-4312-addd-c8b237a7543e" InformativeScreenshot="39eefb731f43b87ac4d9b78b4d1c0da2" Selector="&lt;html app='chrome.exe' title='*Salesforce' /&gt;&lt;webctrl aaname='Move selection to Chosen' tag='BUTTON' type='button' /&gt;" WaitForReady="COMPLETE">
                <ui:Target.TimeoutMS>
                  <InArgument x:TypeArguments="x:Int32" />
                </ui:Target.TimeoutMS>
              </ui:Target>
            </ui:Click.Target>
          </ui:Click>
          <Delay mva:VisualBasic.Settings="{x:Null}" DisplayName="Delay 1 second" Duration="00:00:01" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Delay_1">
            <TextExpression.Namespaces>
              <sco:Collection x:TypeArguments="x:String">
                <x:String>System.Activities</x:String>
                <x:String>System.Activities.Statements</x:String>
                <x:String>System.Activities.Expressions</x:String>
                <x:String>System.Activities.Validation</x:String>
                <x:String>System.Activities.XamlIntegration</x:String>
                <x:String>Microsoft.VisualBasic.Activities</x:String>
                <x:String>System</x:String>
                <x:String>System.Collections.Generic</x:String>
                <x:String>System.Data</x:String>
                <x:String>System.Diagnostics</x:String>
                <x:String>System.IO</x:String>
                <x:String>System.Linq</x:String>
                <x:String>System.Management.Automation</x:String>
                <x:String>System.Net.Mail</x:String>
                <x:String>System.Xml</x:String>
                <x:String>System.Xml.Linq</x:String>
                <x:String>UiPath.Library</x:String>
                <x:String>System.Windows.Markup</x:String>
              </sco:Collection>
            </TextExpression.Namespaces>
            <TextExpression.References>
              <sco:Collection x:TypeArguments="AssemblyReference">
                <AssemblyReference>System.Activities</AssemblyReference>
                <AssemblyReference>mscorlib</AssemblyReference>
                <AssemblyReference>System.Data</AssemblyReference>
                <AssemblyReference>System</AssemblyReference>
                <AssemblyReference>System.Core</AssemblyReference>
                <AssemblyReference>System.Management.Automation</AssemblyReference>
                <AssemblyReference>System.Xml</AssemblyReference>
                <AssemblyReference>System.Xml.Linq</AssemblyReference>
                <AssemblyReference>UiPath.Library</AssemblyReference>
                <AssemblyReference>PresentationFramework</AssemblyReference>
                <AssemblyReference>WindowsBase</AssemblyReference>
                <AssemblyReference>PresentationCore</AssemblyReference>
                <AssemblyReference>System.Xaml</AssemblyReference>
              </sco:Collection>
            </TextExpression.References>
            <sap2010:WorkflowViewState.ViewStateManager>
              <sap2010:ViewStateManager>
                <sap2010:ViewStateData sap:VirtualizedContainerService.HintSize="200,22" Id="Delay_1" />
              </sap2010:ViewStateManager>
            </sap2010:WorkflowViewState.ViewStateManager>
          </Delay>
        </Sequence>
      </If.Then>
    </If>
    <ui:Click AlterIfDisabled="{x:Null}" DelayBefore="{x:Null}" DelayMS="{x:Null}" SendWindowMessages="{x:Null}" ClickType="CLICK_SINGLE" DisplayName="Click Save" sap:VirtualizedContainerService.HintSize="521,106" sap2010:WorkflowViewState.IdRef="Click_48" KeyModifiers="None" MouseButton="BTN_LEFT" SimulateClick="False">
      <ui:Click.CursorPosition>
        <ui:CursorPosition Position="Center">
          <ui:CursorPosition.OffsetX>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:CursorPosition.OffsetX>
          <ui:CursorPosition.OffsetY>
            <InArgument x:TypeArguments="x:Int32" />
          </ui:CursorPosition.OffsetY>
        </ui:CursorPosition>
      </ui:Click.CursorPosition>
      <ui:Click.Target>
        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="6390de9a-3cb2-4d92-a71e-685e99fc7b45" InformativeScreenshot="ebf29de3532b8f0cc5c8587a6ef29874" Selector="&lt;html app='chrome.exe' htmlwindowname='*' title='*Salesforce' /&gt;&lt;webctrl aaname='Save' tag='BUTTON' type='button' /&gt;" TimeoutMS="5000" WaitForReady="COMPLETE" />
      </ui:Click.Target>
    </ui:Click>
    <ui:UiElementExists DisplayName="Element Exists Cross border value set" Exists="[crossBorderValueSetSuccessfully]" sap:VirtualizedContainerService.HintSize="521,106" sap2010:WorkflowViewState.IdRef="UiElementExists_41">
      <ui:UiElementExists.Target>
        <ui:Target ClippingRegion="{x:Null}" Element="{x:Null}" Id="14feb7a0-f1f0-4ed5-b850-0b9df48f5daa" InformativeScreenshot="9ae4a4abc2f0035a02fd3f6ed27968b9" Selector="&lt;html app='chrome.exe' title='*Salesforce*' /&gt;&lt;webctrl aaname='Cross Border Engagement' tag='LABEL' innertext='Cross Border Engagement' /&gt;&lt;nav up='1' /&gt;&lt;webctrl aria-role='combobox' tag='INPUT' type='text' /&gt;" TimeoutMS="15000">
          <ui:Target.WaitForReady>
            <InArgument x:TypeArguments="ui:WaitForReady" />
          </ui:Target.WaitForReady>
        </ui:Target>
      </ui:UiElementExists.Target>
    </ui:UiElementExists>
    <If Condition="[crossBorderValueSetSuccessfully]" DisplayName="If crossBorderValueSetSuccessfully" sap:VirtualizedContainerService.HintSize="521,393" sap2010:WorkflowViewState.IdRef="If_50">
      <sap:WorkflowViewStateService.ViewState>
        <scg:Dictionary x:TypeArguments="x:String, x:Object">
          <x:Boolean x:Key="IsExpanded">True</x:Boolean>
          <x:Boolean x:Key="IsPinned">False</x:Boolean>
        </scg:Dictionary>
      </sap:WorkflowViewStateService.ViewState>
      <If.Else>
        <Sequence DisplayName="AE - Unable to save cross border value" sap:VirtualizedContainerService.HintSize="376,245" sap2010:WorkflowViewState.IdRef="Sequence_64">
          <sap:WorkflowViewStateService.ViewState>
            <scg:Dictionary x:TypeArguments="x:String, x:Object">
              <x:Boolean x:Key="IsExpanded">True</x:Boolean>
            </scg:Dictionary>
          </sap:WorkflowViewStateService.ViewState>
          <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="334,91" sap2010:WorkflowViewState.IdRef="LogMessage_42" Level="Error" Message="[componentName+&quot;: Unable to save cross border engagement section&quot;]" />
          <Throw DisplayName="Throw AE" Exception="[New ApplicationException(componentName+&quot;: Unable to save cross border engagement section&quot;)]" sap:VirtualizedContainerService.HintSize="334,22" sap2010:WorkflowViewState.IdRef="Throw_38" />
        </Sequence>
      </If.Else>
    </If>
    <ui:LogMessage DisplayName="Log Message" sap:VirtualizedContainerService.HintSize="521,91" sap2010:WorkflowViewState.IdRef="LogMessage_13" Level="Info" Message="[&quot;End: &quot;+componentName]" />
  </Sequence>
</Activity>